<?php

namespace Layerdrops\Ostech\Widgets;


class Instagram extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'ostech-instagram';
    }

    public function get_title()
    {
        return __('Instagram', 'ostech-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['ostech-category'];
    }

    protected function register_controls()
    {

        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'ostech-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'ostech-addon'),
                    'layout_two' => __('Layout Two', 'ostech-addon'),
                    'layout_three' => __('Layout Three', 'ostech-addon'),
                ]
            ]
        );

        $this->end_controls_section();

        //General style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Content Style', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        ostech_elementor_general_style_options($this, 'Section Title', '{{WRAPPER}} .instagram-one__title', ['layout_one']);

        $this->end_controls_section();

        include ostech_get_elementor_option('instagram-one-option.php');
        include ostech_get_elementor_option('instagram-two-option.php');
        include ostech_get_elementor_option('instagram-three-option.php');

        ostech_get_elementor_carousel_options($this, ['layout_one', 'layout_two', 'layout_three']);
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include ostech_get_template('instagram-one.php');
        include ostech_get_template('instagram-two.php');
        include ostech_get_template('instagram-three.php');
    }
}
